<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class ContaRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'analista'=>'required',
            'cliente'=> 'required',
            'valor'=> 'required',
            ];
    }
    public function messages(): array{

        return[
            'analista.required'=> 'Analista é obrigatório meu chapa',
            'cliente.required'=> 'O cliente é obrigatório meu chapa',
            'valor.required'=> 'O valor é essencial'

        ];
    }
}
